ReferenceItem lists
Models
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/models' \ -H 'Authorization: Bearer <access-token>'[ { "id": 0, "name": "string", "nameForEshop": "string", "note": "string" }]POST
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- body
id?integerFormat
int32name?|Length
length <= 40nameForEshop?|Length
length <= 120note?string|nullapplication/json- response
id?integerFormat
int32name?|Length
length <= 40nameForEshop?|Length
length <= 120note?string|nullcurl -X POST 'https://<your-instance>/api/item-lists/models' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": 0, "name": "string", "nameForEshop": "string", "note": "string"}GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
id?integerFormat
int32name?|Length
length <= 40nameForEshop?|Length
length <= 120note?string|nullcurl -X GET 'https://<your-instance>/api/item-lists/models/0' \ -H 'Authorization: Bearer <access-token>'{ "id": 0, "name": "string", "nameForEshop": "string", "note": "string"}PATCH
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- body
id?integerFormat
int32name?|Length
length <= 40nameForEshop?|Length
length <= 120note?string|nullapplication/json- response
id?integerFormat
int32name?|Length
length <= 40nameForEshop?|Length
length <= 120note?string|nullcurl -X PATCH 'https://<your-instance>/api/item-lists/models/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": 0, "name": "string", "nameForEshop": "string", "note": "string"}DELETE
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32curl -X DELETE 'https://<your-instance>/api/item-lists/models/0' \ -H 'Authorization: Bearer <access-token>'Empty